<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical"
    tools:context="kr.co.icontrols.ilp300_700.screen.SettingActivity">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="60dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal"
            android:weightSum="2">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="vertical">

                <Button
                    android:id="@+id/setting_del_user_btn"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:onClick="onClick"
                    android:layout_marginTop="1dp"
                    android:text="@string/setting_btn_del_user"
                    android:textColor="#ff000000" />

                <Button
                    android:id="@+id/setting_del_all_user_btn"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="onClick"
                    android:text="@string/setting_btn_batch_del_user"
                    android:textColor="#ff000000" />

                <Button
                    android:id="@+id/setting_batch_add_user_btn"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="onClick"
                    android:text="@string/main_btn_add_user_by_camera"
                    android:textColor="#ff000000" />

                <Button
                    android:id="@+id/id_is_exit"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="queryID"
                    android:text="@string/id_is_in_library"
                    android:textColor="#ff000000" />

                <Button
                    android:id="@+id/setting_upgrade_firmware_btn"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="onClick"
                    android:text="@string/setting_btn_upgrade_firmware"
                    android:textColor="#ff000000" />

                <Button
                    android:id="@+id/verify_1_1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="verify_1_1"
                    android:text="1:1"
                    android:textColor="#ff000000" />

                <Button
                    android:id="@+id/static_verify"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="staticVerify"
                    android:text="@string/static_verify"
                    android:textColor="#ff000000" />

                <Button
                    android:id="@+id/reco_status_btn"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="recoStatusGet"
                    android:text="@string/recognize_status"
                    android:textColor="#ff000000"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/quantity_of_id_btn"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="onClick"
                    android:text="@string/quantity_of_id"
                    android:textColor="#ff000000" />

                <Button
                    android:id="@+id/reboot_system_btn"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="rebootSystem"
                    android:text="@string/reboot_system"
                    android:textColor="#ff000000" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="vertical">

                <Button
                    android:id="@+id/get_all_ids_btn"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="getAllIds"
                    android:text="@string/get_all_ids"
                    android:textColor="#ff000000" />

                <Button
                    android:id="@+id/add_features_btn"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="addFeatures"
                    android:text="@string/add_features"
                    android:textColor="#ff000000" />

                <Button
                    android:id="@+id/get_features_btn"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="getFeatures"
                    android:text="@string/get_features"
                    android:textColor="#ff000000" />

                <Button
                    android:id="@+id/setting_device_info_btn"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="onClick"
                    android:text="@string/setting_btn_device_info"
                    android:textColor="#ff000000" />

                <Button
                    android:id="@+id/factory_reset_btn"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="factoryReset"
                    android:text="@string/factory_reset"
                    android:textColor="#ff000000" />

                <Button
                    android:id="@+id/setting_device_brightness_sensor_get_btn"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="getBrightness"
                    android:text="@string/setting_btn_device_brightness_sensor_get"
                    android:textColor="#ff000000" />

                <Button
                    android:id="@+id/get_sn_bth"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="getSn"
                    android:text="@string/get_sn"
                    android:textColor="#ff000000" />

                <Button
                    android:id="@+id/equipment_model_btn"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_style"
                    android:layout_marginTop="1dp"
                    android:onClick="getDeviceModel"
                    android:text="@string/get_equipment_model"
                    android:textColor="#ff000000" />

                <TextView
                    android:id="@+id/setting_app_version_view"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:onClick="onClick"
                    android:text="AppVersion" />
            </LinearLayout>
        </LinearLayout>
    </ScrollView>

    <Button
        android:id="@+id/back_btn"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:onClick="back"
        android:layout_gravity="bottom"
        android:visibility="gone"
        android:text="@string/image_selector_back"/>
</LinearLayout>
